pcl::poisson::CoredPointIndex Class Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

## Public Member Functions

int | operator== (const CoredPointIndex &cpi) const
int | operator!= (const CoredPointIndex &cpi) const

## Public Attributes

int | index
char | inCore

## Detailed Description

Definition at line 129 of file geometry.h.

## Member Function Documentation

int pcl::poisson::CoredPointIndex::operator!= | ( | const CoredPointIndex & | cpi | ) | const

inline

Definition at line 136 of file geometry.h.

References inCore, and index.

int pcl::poisson::CoredPointIndex::operator== | ( | const CoredPointIndex & | cpi | ) | const

inline

Definition at line 135 of file geometry.h.

References inCore, and index.

## Member Data Documentation

char pcl::poisson::CoredPointIndex::inCore

Definition at line 133 of file geometry.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), operator!=(), and operator==().

int pcl::poisson::CoredPointIndex::index

Definition at line 132 of file geometry.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/geometry.h